Bug 22587 - [SRPM] failed build
[SRPM] failed build
Product: Red Hat Raw Hide
Classification: Retired
Component: libgcj (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-12-20 12:39 EST by Enrico Scholz
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-12-20 16:01:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2000-12-20 12:39:10 EST
With current gcc-2.96-69/glibc-2.2-9 the build of libgcj-2.96-22.src.rpm
fails with

$ rpm --rebuild libgcj-2.96-22.src.rpm
/var/volatile/rpm/BUILD/libgcj/libjava/java/awt/Color.java:22: Class
`java.awt.Color' doesn't define the abstract method `int getTransparency()'
from interface `java.awt.Transparency'. This method must be defined or
class `java.awt.Color' must be declared abstract.
public class Color extends Object implements Paint, java.io.Serializable
1 error
[... repeating this error a lot ...]
make[2]: *** [libgcj.zip] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-target-libjava] Error 2
Bad exit status from /var/tmp/rpm-tmp.91908 (%build)
make[2]: Leaving directory
make[1]: Leaving directory
Comment 1 Jakub Jelinek 2000-12-20 16:01:22 EST
Yes, I know (that's why there is libgcj-2.96-23). Basically just one
method is missing in Color.java. libgcj-2.96-23 should appear in next
Comment 2 Jakub Jelinek 2000-12-27 06:14:40 EST
libgcj-2.96-23 seems to be in rawhide already, closing.

Note You need to log in before you can comment on or make changes to this bug.